import { EventEmitter, OnInit } from '@angular/core';
import { ConfirmationDialogMode } from '../../model/confirmation-dialog-mode';
import { DialogBaseData } from '../../model/dialog-base-data';
import { DialogType } from '../../model/dialog-type';
import * as i0 from "@angular/core";
export declare class BaseComponent implements OnInit {
    DialogType: typeof DialogType;
    dialogType: DialogType;
    data: DialogBaseData;
    closed: EventEmitter<any>;
    ConfirmationDialogMode: typeof ConfirmationDialogMode;
    userInput: string | undefined;
    checkboxValue: boolean;
    get customTrueText(): string | null;
    get customFalseText(): string | null;
    get choices(): string[] | null;
    ngOnInit(): void;
    close(): void;
    cancel(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<BaseComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<BaseComponent, "cp-dialog-base", never, { "dialogType": { "alias": "dialogType"; "required": false; }; "data": { "alias": "data"; "required": false; }; }, { "closed": "closed"; }, never, never, false, never>;
}
