import { OnInit } from '@angular/core';
import { ActiveDirectoryService, CleavelandPriceUser } from '@cleavelandprice/ngx-lib/active-directory';
import { PhotoItem } from '../../model/photo-item';
import * as i0 from "@angular/core";
export declare class EmployeePhotoComponent implements OnInit {
    private activeDirectoryService;
    employee: CleavelandPriceUser | undefined;
    accountName: string | undefined;
    employeePhotos?: PhotoItem[];
    size: string;
    notRound: boolean;
    constructor(activeDirectoryService: ActiveDirectoryService);
    ngOnInit(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<EmployeePhotoComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<EmployeePhotoComponent, "employee-photo", never, { "employee": { "alias": "employee"; "required": false; }; "accountName": { "alias": "accountName"; "required": false; }; "employeePhotos": { "alias": "employeePhotos"; "required": false; }; "size": { "alias": "size"; "required": false; }; "notRound": { "alias": "notRound"; "required": false; }; }, {}, never, never, false, never>;
}
