import { ServiceConfig as NgxLibServiceConfig } from '@cleavelandprice/ngx-lib';
export declare class ServiceConfig extends NgxLibServiceConfig {
    usersEndpoint: string;
    listItemsEndpoint: string;
    username: string | undefined;
    password: string | undefined;
    photos: {
        site: string;
        list: string;
        additionalPropertiesToRetrieve: string[];
    };
    caching: {
        enabled: boolean;
        lifeMinutes: number;
    };
    logging: {
        dataCached: boolean;
        cachedDataReturned: boolean;
        freshDataReturned: boolean;
        cacheCleared: boolean;
    };
    constructor(useSsl_or_customApiUrl?: boolean | string);
}
